1. Flows
FlowMate API Documentation
  • Authentication
    • Login
      POST
  • Flows
    • Retrieve all flows
      GET
    • Find Flow by ID
      GET
    • Deletes a flow
      DELETE
    • Update an existing flow
      PATCH
    • Bulk update a number of existing flows
      PATCH
    • Start a flow
      POST
    • Stop a flow
      POST
    • Start multiple flows
      POST
    • Stop multiple flows
      POST
  • User
    • get all users
      GET
    • Create user
      POST
    • get a user by id
      GET
    • get current user
      GET
  • Templates
    • Retrieve all flow templates
      GET
    • Add a new template to the repository
      POST
    • Find Flow Template by ID
      GET
    • Deletes a flow template
      DELETE
    • Update an existing flow template
      PATCH
    • Generate a flow from the flow template
      POST
  • Reporting & Monitoring
    • Get Executions
      GET
    • Get Logs
      GET
  • Webhooks
    • Incoming Webhook
      POST
  • Schemas
    • Schemas
      • MutableFlow
      • Status
      • MutableFlowTemplate
      • Flow
      • GlobalRole
      • FlowTemplate
      • FlowGraph
      • Permissions
      • Meta
      • MembershipRole
      • Owner
      • Token
      • ArrayOfIds
      • TokenCreate
      • Login data
      • Register data
      • Tenant Schema
      • Tenant Schema
      • Role
      • MutableRole
      • User body
      • Access token object
      • users' membership in a tenant context
      • User tenant membership
      • User information
      • ArrayOfTenants
      • resetPassword
      • ArrayOfUsers
      • ArrayOfUserTenantContext
    • RequestBodies
      • ArrayOfIds
      • addTenantToFlow
  1. Flows

Update an existing flow

PATCH
https://api.platform.openintegrationhub.com/flows/{id}
The id is used to match the existing Flow that will be updated. Requires the 'flows.write' permission.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/json

Example
{
    "name": "SnazzyToCodeComponent",
    "description": "This flow polls for persons and posts them on webhoo.site.",
    "tenant": "string",
    "graph": {
        "nodes": [
            [
                {
                    "id": "step_1",
                    "componentId": "string",
                    "name": "snazzy adapter for oih",
                    "function": "getPersonsPolling",
                    "description": "New description in progress"
                },
                {
                    "id": "step_2",
                    "componentId": "string",
                    "name": "code_component",
                    "function": "execute",
                    "description": "",
                    "fields": {
                        "code": "function* run() {console.log('Calling external URL');yield request.post({uri: 'http://webhook.site/debc8244-3ca0-4449-af2b-e346c4f57b85', body: msg.body, json: true});}"
                    }
                }
            ]
        ],
        "edges": [
            {
                "id": "string",
                "config": {
                    "condition": "string",
                    "mapper": {}
                },
                "source": "step_1",
                "target": "step_2"
            }
        ]
    },
    "type": "ordinary",
    "cron": "* /2 * * * *",
    "owners": [
        {
            "id": "string",
            "type": "string"
        }
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://api.platform.openintegrationhub.com/flows/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "name": "SnazzyToCodeComponent",
    "description": "This flow polls for persons and posts them on webhoo.site.",
    "tenant": "string",
    "graph": {
        "nodes": [
            [
                {
                    "id": "step_1",
                    "componentId": "string",
                    "name": "snazzy adapter for oih",
                    "function": "getPersonsPolling",
                    "description": "New description in progress"
                },
                {
                    "id": "step_2",
                    "componentId": "string",
                    "name": "code_component",
                    "function": "execute",
                    "description": "",
                    "fields": {
                        "code": "function* run() {console.log('\''Calling external URL'\'');yield request.post({uri: '\''http://webhook.site/debc8244-3ca0-4449-af2b-e346c4f57b85'\'', body: msg.body, json: true});}"
                    }
                }
            ]
        ],
        "edges": [
            {
                "id": "string",
                "config": {
                    "condition": "string",
                    "mapper": {}
                },
                "source": "step_1",
                "target": "step_2"
            }
        ]
    },
    "type": "ordinary",
    "cron": "* /2 * * * *",
    "owners": [
        {
            "id": "string",
            "type": "string"
        }
    ]
}'

Responses

🟢200OK
application/json
The updated Flow.
Bodyapplication/json

Example
{
    "data": {
        "name": "SnazzyToCodeComponent",
        "description": "This flow polls for persons and posts them on webhoo.site.",
        "tenant": "string",
        "graph": {
            "nodes": [
                [
                    {
                        "id": "step_1",
                        "componentId": "string",
                        "name": "snazzy adapter for oih",
                        "function": "getPersonsPolling",
                        "description": "New description in progress"
                    },
                    {
                        "id": "step_2",
                        "componentId": "string",
                        "name": "code_component",
                        "function": "execute",
                        "description": "",
                        "fields": {
                            "code": "function* run() {console.log('Calling external URL');yield request.post({uri: 'http://webhook.site/debc8244-3ca0-4449-af2b-e346c4f57b85', body: msg.body, json: true});}"
                        }
                    }
                ]
            ],
            "edges": [
                {
                    "id": "string",
                    "config": {
                        "condition": "string",
                        "mapper": {}
                    },
                    "source": "step_1",
                    "target": "step_2"
                }
            ]
        },
        "type": "ordinary",
        "cron": "* /2 * * * *",
        "owners": [
            {
                "id": "string",
                "type": "string"
            }
        ],
        "id": "string",
        "status": "active",
        "createdAt": "2019-07-30T12:52:45.957Z",
        "updatedAt": "2019-07-30T12:52:45.957Z"
    },
    "meta": {}
}
🟠404Record Not Found
🟠409409
Modified at 2025-01-16 10:16:17
Previous
Deletes a flow
Next
Bulk update a number of existing flows
Built with